com.independentsoft.exchange

## Enum InstanceType

- java.lang.Object
- - java.lang.Enum<InstanceType>
  - - com.independentsoft.exchange.InstanceType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<InstanceType>

      public enum InstanceType
      extends java.lang.Enum<InstanceType>

  Identifies the type of an appointment.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EXCEPTION` Specifies that the item is an exception to a recurring appointment.
    `NONE` None.
    `OCCURRENCE` Specifies that the item is an occurrence of a recurring appointment.
    `RECURRING_MASTER` Specifies that the item is the master that contains the recurrence pattern for a appointment.
    `SINGLE` Specifies that the item is not associated with a recurring appointment.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static InstanceType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static InstanceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SINGLE

          public static final InstanceType SINGLE

      Specifies that the item is not associated with a recurring appointment.

    - #### OCCURRENCE

          public static final InstanceType OCCURRENCE

      Specifies that the item is an occurrence of a recurring appointment.

    - #### EXCEPTION

          public static final InstanceType EXCEPTION

      Specifies that the item is an exception to a recurring appointment.

    - #### RECURRING_MASTER

          public static final InstanceType RECURRING_MASTER

      Specifies that the item is the master that contains the recurrence pattern for a appointment.

    - #### NONE

          public static final InstanceType NONE

      None.

  - ### Method Detail

    - #### values

          public static InstanceType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (InstanceType c : InstanceType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static InstanceType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null